
@import "../../style/miam.scss";

.miam-recipe-catalog {
  display: flex;
  justify-content: space-between;
  width: 100%;

  .miam-recipe-catalog__filters {
    position: relative;
    left: 0px;
    top: 0px;
    width: 216px;
    height: 900px;
    border-right: solid 1px #e9e9e9;
    padding: 16px;

    .miam-recipe-catalog__filters__title {
      margin: 8px 0;
      font-weight: bold;
      font-size: 17px;
      line-height: 20px;
      
    }

    .miam-recipe-catalog__filters__choice {
      margin: 8px 0;
      display: flex;
      height: 20px;
      &::first-letter {
        text-transform: capitalize;
      }

      input {
        height: 20px;
        width: 20px;
        margin: 0 12px 0 0;
      }
    }

    .miam-recipe-catalog__filters__remove {
      margin: 16px 0;
      text-align: center;
    }
  
    .miam-recipe-catalog__filters__separator {
      width: 174px;
      height: 1px;
      background-color: #e9e9e9;
      margin: 16px 0;
    }
  }

  .miam-recipe-catalog__content {
    width: calc(100% - 216px);

    .miam-recipe-catalog__categories {
      display: flex;
      flex-direction: column;
      width: 100%;
      margin-top: 40px;
    }
  
    .miam-recipe-catalog__list {
      width: 100%;
      margin-top: 40px;
    }
  }
}
